Package com.treemap.swing

# Class SwingTreeMapPopup

java.lang.Object
com.treemap.swing.SwingTreeMapPopup

All Implemented Interfaces:
  `TreeMapPopup<Component>`

public class SwingTreeMapPopup extends Object implements TreeMapPopup<Component>
An implementation of a popup window using straight painting.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingTreeMapPopup()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.macrofocus.geom.Point`
  `getAnchor()`
  Returns the position of the popup.
  `void`
  `hidePopup()`
  Hides the popup.
  `void`
  `repaint()`
  Repaints the owner of the popup.
  `void`
  `showPopup(int x, int y, Component owner)`
  Shows the popup at the specified x and y coordinates.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingTreeMapPopup

    public SwingTreeMapPopup()

- ## Method Details

  - ### showPopup

    public void showPopup(int x, int y, Component owner)
    Description copied from interface: `TreeMapPopup`
    Shows the popup at the specified x and y coordinates.
    Specified by:
      `showPopup` in interface `TreeMapPopup<Component>`
    Parameters:
      `x` - the x position. It is screen position.
      `y` - the y position. It is screen position.
      `owner` - the popup window's owner

  - ### hidePopup

    public void hidePopup()
    Description copied from interface: `TreeMapPopup`
    Hides the popup.
    Specified by:
      `hidePopup` in interface `TreeMapPopup<Component>`

  - ### repaint

    public void repaint()
    Description copied from interface: `TreeMapPopup`
    Repaints the owner of the popup.
    Specified by:
      `repaint` in interface `TreeMapPopup<Component>`

  - ### getAnchor

    public com.macrofocus.geom.Point getAnchor()
    Description copied from interface: `TreeMapPopup`
    Returns the position of the popup.
    Specified by:
      `getAnchor` in interface `TreeMapPopup<Component>`
    Returns:
      the position of the popup